package ru.amse.smyshlyaev.grapheditor.io;

import java.io.*;
import javax.xml.stream.*;

public class Closer {
	public static void close(Closeable closeable) {
		if (closeable != null) {
			try {
				closeable.close();
			} catch (IOException e) {
			}
		}
	}
	
	public static void closeXML(XMLStreamWriter xmlWriter) {
		if (xmlWriter != null) {
			try {
				xmlWriter.close();
			} catch (XMLStreamException e) {
			}
		}		
	}

	public static void closeXML(XMLStreamReader xmlReader) {
		if (xmlReader != null) {
			try {
				xmlReader.close();
			} catch (XMLStreamException e) {
			}
		}		
	}
}
