package ru.amse.smyshlyaev.grapheditor.starvertex;

import ru.amse.smyshlyaev.grapheditor.graph.*;


public class Root extends StarVertex 
                  implements ISelectableVertex {
	public Root(int x, int y, String label) {
		super(x, y, null, label);
	}

	public Root() {
		this(0, 0, "");
	}
	public void setLocation(int x, int y) {
		myX = x;
		myY = y;
	}
	
	public void setX(int x) {
		setLocation(x, myY);
	}
	
	public void setY(int y) {
		setLocation(myX, y);
	}
	
	public int getX() {
		return myX;
	}

	public int getY() {
		return myY;
	}

	public boolean shouldSelectAlone() {
		return false;
	}
}